Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.api
[Groovy] Class FileContentMerger

    java.lang.Object
      org.gradle.plugins.ide.api.FileContentMerger

    class FileContentMerger

Models the generation/parsing/merging capabilities.

For examples see docs for EclipseProject or IdeaProject and others.

Property Summary
`ActionBroadcast` | `beforeMerged`
`ActionBroadcast` | `whenMerged`

Method Summary
`void` | `beforeMerged(Closure closure)` Adds a closure to be called after content is loaded from existing file but before gradle build information is merged
`void` | `whenMerged(Closure closure)` Adds a closure to be called after content is loaded from existing file and after gradle build information is merged

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### beforeMerged

    ActionBroadcast beforeMerged

### whenMerged

    ActionBroadcast whenMerged

Method Detail

### beforeMerged

    void beforeMerged(Closure closure)

  Adds a closure to be called after content is loaded from existing file but before gradle build information is merged

  This is advanced api that gives access to internal implementation. It might be useful if you want to alter the way gradle build information is merged into existing file content

  For examples see docs for EclipseProject or IdeaProject and others.

  Parameters:
    `closure` - The closure to execute.

### whenMerged

    void whenMerged(Closure closure)

  Adds a closure to be called after content is loaded from existing file and after gradle build information is merged

  This is advanced api that gives access to internal implementation of idea plugin. Use it only to tackle some tricky edge cases.

  For examples see docs for EclipseProject or IdeaProject and others.

  Parameters:
    `closure` - The closure to execute.

Gradle API 1.10